<?php
if(count(get_included_files())==1) exit("Direct access not permitted.");
$mod = basename(__FILE__, '.php');
$page->tbCss($mod);
$page->tbJs($mod);
$page->addJs(BS_JS."reqcb.js");

$judulhalaman="DETAIL PELATIHAN";
$linkkategori="";

$idkonten=0;
if(isset($_GET['id'])){
	$idkonten=$_GET['id'];
}

$datarr=array(
	"id"=>$idkonten
);

$page->addLoad("detailetraining.init(".json_encode($datarr,true).")");

$wh="";
$datapush=array($idkonten);
$kategori=0;
if(isset($_GET['kat'])){
	$kategori=$_GET['kat'];
	$wh.="and t1.idkategori=? ";
	array_push($datapush,$kategori);
	
	$querykat="select * from tb_master_pelatihan_kategori where id=? and status=1 ";
	$rskat=$db->loadAssoc($querykat,array($kategori));
	if(isset($rskat['id'])){
		$linkkategori.="?kat=".$kategori;
	}
}

$tanggal="";
$judul="";
$keterangan="";

$query="select 
				t1.`id`,
				t1.`tanggal_update`,
				t1.`idkategori`,
				t1.`tahun`,
				t1.`judul`,
				t1.`deskripsi`,
				t1.`konten`,
				t1.`idgambar`,
				t1.tanggal_mulai,
				t1.`jumlah_min`,
				t1.`jumlah_narsum`,
				t1.`jumlah_daftar`,
				t1.`jumlah_peserta`,
				t1.`jumlah_dokumen_konten`,
				t1.`jumlah_modul`,
				t1.`jumlah_jadwal`,
				t1.`harga`,
				t1.`status`,
				t2.nama as kategori,
				t3.nama_awal,
				t3.nama_baru,
				t3.folder,
				a1.nama as namastatus,
				a1.bg,a1.warna
			from db_singa.tb_master_pelatihan as t1
			inner join db_singa.tb_master_pelatihan_kategori as t2 on t1.idkategori=t2.id
			inner join db_singa.tb_dokumen as t3 on t1.idgambar=t3.id
			inner join db_singa.tb_master_status as a1 on t1.status=a1.id
			where t1.status>600 and t1.id=? ".$wh;
$rspelatihan=$db->loadAssoc($query,$datapush);

if(isset($rspelatihan['id'])){
	$haltgl=explode(" ", $db->halfdate($rspelatihan['tanggal_mulai']));
	$dd="";
	$mm="";
	$yy="";
	if(sizeof($haltgl)==3){
		$dd=$haltgl[0];
		$mm=$haltgl[1];
		$yy=$haltgl[2];
	}
	
	$arrtgl=explode(" ", $rspelatihan['tanggal_mulai']);
	$jam="";
	if(sizeof($arrtgl)==2){
		$jam=substr($arrtgl[1], 0,5);
	}
	
	$tanggal=$haltgl[0]." ".$haltgl[1]." ".$haltgl[2];
	
	?>
	<div class="box_detailpelatihan">
		<a href="<?php echo NPAGE.'etraining'.$linkkategori;?>">
			<h2><?php echo $judulhalaman;?></h2>
		</a>
		<div class="mod_detailpelatihan_judul"><?php echo strtoupper($rspelatihan['judul']);?></div>
		<div class="mod_detailpelatihan_boximg">
			<img src="<?php echo SINDI_URL.$rspelatihan['folder'].$rspelatihan['nama_baru'];?>" />
		</div>
		
		<div class="mod_detailpelatihan_keterangan">
			<div class="judul_sub_detailjadwal">DIMULAI PADA : <?php echo $haltgl[0]." ".$haltgl[1]." ".$haltgl[2];?></div>
		
			<?php 
			echo $rspelatihan['konten'];
			?>
			<div class="judul_sub_detailjadwal"><b>JADWAL PELATIHAN</b></div>
			<div id="grid_jadwal_pelatihan"></div>
			<div id="loader_jadwal_pelatihan"></div>
			<br />
			<div class="judul_sub_detailjadwal"><b>NARA SUMBER</b></div>
			<div id="grid_narsum_pelatihan"></div>
			<div id="loader_narsum_pelatihan"></div>
			<br />
			<div class="judul_sub_detailjadwal"><b>DOKUMEN PELATIHAN</b></div>
			<div id="grid_dok_pelatihan"></div>
			<div id="loader_dok_pelatihan"></div>
			<br />
			<div style="background: none;color: black;font-size: 16px;font-weight: bold;margin: 6px 0px 20px;"><b>STATUS PELATIHAN</b></div>
			<div>
				<div class="detailjadwal_status" style="background: <?php echo $rspelatihan['bg'];?>;color:<?php echo $rspelatihan['warna'];?>"><?php echo $rspelatihan['namastatus'];?></div>
				<?php
				if($rspelatihan['status']==601){
					?>
					<a href="<?php echo NPAGE.'pendaftaranetraining?id='.$rspelatihan['id'];?>">
						<div class="detailjadwal_status detailjadwal_daftar">DAFTARKAN SEKARANG</div>
					</a>
					<?php
				}
				?>
			</div>
			<br />
		</div>
		<div style="clear: both;"></div>
	</div>
	<?php
}
?>
<div id="btdetailjadwal" style="display: none;">
	<div>
		<div>#{nama}</div>
		<div style="margin-top: 5px;">#{keterangan}</div>
	</div>
</div>
<div id="btdetailnarsum" style="display: none;">
	<div>
		<div><b>#{nama}</b></div>
		<div>#{jabatan}</div>
	</div>
</div>
<div id="btdetaildokkonten" style="display: none;">
	<div>
		<div>#{judul}</div>
		<div style="margin-top: 5px;">#{keterangan}</div>
	</div>
</div>
<div id="btlihatdokkonten" style="display: none">
	<span class="btlihat" onclick="detailetraining.lihatdokkonten(##{jumlah_tabel},##{baris_tabel})"></span>
</div>